Including the Microsoft .NET Framework and Microsoft .NET Framework Language Pack Prerequisites

InstallShield 2012 Spring

Project: This information applies to the following project types:

Basic MSI
InstallScript
InstallScript MSI

InstallShield includes InstallShield prerequisites for some versions of the .NET Framework and the .NET Framework language packs. You can include these InstallShield prerequisites in Basic MSI, InstallScript, and InstallScript MSI projects if you want to redistribute these versions of the .NET Framework and the language packs.

Following is a list of the .NET Framework redistributables that are available as InstallShield prerequisites. The associated language pack prerequisites are included if available.

Microsoft .NET Framework 4.5. (One InstallShield prerequisite is for the full package, and one is for the Web package. The Web package is smaller in size, but it requires an Internet connection on the target system at run time.)
Microsoft .NET Framework 4 Full, which installs the .NET Framework runtime and associated files that are required to run and develop applications that target the .NET Framework 4. (One InstallShield prerequisite is for the full package, and one is for the Web Download package. The Web Download package is smaller in size, but it requires an Internet connection on the target system at run time.)
Microsoft .NET Framework 4 Client, which installs the .NET Framework runtime and associated files that are required to run most client applications. (One InstallShield prerequisite is for the full package, and one is for the Web Download package. The Web Download package is smaller in size, but it requires an Internet connection on the target system at run time.)
Microsoft .NET Framework 3.5 SP1 (One InstallShield prerequisite is for the full package, and one is for the Web Download package. The Web Download package is smaller in size, but it requires an Internet connection on the target system at run time.)
Microsoft .NET Framework 3.5 (One InstallShield prerequisite is for the full package, and one is for the Web Download package. The Web Download package is smaller in size, but it requires an Internet connection on the target system at run time.)
Microsoft .NET Framework 3.0 SP1 (This is a Web Download package, which requires an Internet connection on the target system at run time.)
Microsoft .NET Framework 3.0
Microsoft .NET Framework 3.0 (x64)
Microsoft .NET Framework 2.0 SP2
Microsoft .NET Framework 2.0 SP2 (x64)
Microsoft .NET Framework 2.0 SP2 (IA64)
Microsoft .NET Framework 2.0 SP1 (x86)
Microsoft .NET Framework 2.0 SP1 (x64)
Microsoft .NET Framework 2.0 SP1 (IA64)
Microsoft .NET Framework 2.0 (x64)
Microsoft .NET Framework 2.0 (IA64)

Tip: For information on other versions of the .NET Framework redistributables, see Adding .NET Framework Redistributables to Projects.

These InstallShield prerequisite installations are run in silent mode. Therefore, the language in which the .NET Framework installation runs is not an issue.

Since there currently is no way to install Windows Installer 3.x on 64-bit Itanium systems running Windows XP, and since .NET Framework 2.0 and later require Windows Installer 3.x or later, the 64-bit .NET Framework 2.0 prerequisites cannot be installed on 64-bit Itanium systems running Windows XP.

The InstallShield prerequisite installations determine if the corresponding version of the .NET Framework is already installed on the target machine by checking the Install or InstallSuccess value data for a particular HKEY_LOCAL_MACHINE key. For more details, you can open any InstallShield prerequisite in the InstallShield Prerequisite Editor and note the conditions that are set.

See Also